:root {
  --admonition-border-left-width: 0.2rem;
  --base-border-radius: 1rem;
}

/* 按钮、表格圆角 */
.md-typeset .md-button,
.md-typeset table:not([class]) {
  border-radius: var(--base-border-radius);
}

/* 搜索框圆角 */
.md-search__form {
  border-radius: var(--base-border-radius);
}

[data-md-toggle="search"]:checked ~ .md-header .md-search__form {
  border-top-right-radius: var(--base-border-radius);
  border-top-left-radius: var(--base-border-radius);
}

[dir="ltr"] .md-search__output {
  border-bottom-right-radius: var(--base-border-radius);
  border-bottom-left-radius: var(--base-border-radius);
}

/* Admonition 圆角 */
.md-typeset .admonition,
.md-typeset details {
  border-radius: 1.5em;
  box-shadow: 0 2px 12px 0 rgba(60, 60, 60, 0.07);
  transition: box-shadow 0.3s;
  overflow: hidden;
}

/* 页脚社交图标 */
.md-social__link svg {
  max-height: 1rem;
}

/* 首页卡片布局 */
.md-typeset .home-cards {
  grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
}

@media (max-width: 600px) {
  .md-typeset .home-cards {
    grid-template-columns: 1fr !important;
  }
}
